Easiest path to use Yarn Modern?

Hello everyone,
I’ve only recently realized that I’m behind the Yarn ecosystem and have been using a deprecated version unknowingly (Yarn v1) and that there’s v3 already. But all the actions I can Google are still using v1.

Does anybody have an easy way to install v3 in Actions so that I can use the same modern stuff both in local development and in Actions? Thank you.